org.gradle.plugins.cpp

## Interface CppSourceSet

- All Superinterfaces:
    HeaderExportingSourceSet, Named, NativeDependencyCapableSourceSet, SourceSet

      public interface CppSourceSet
      extends HeaderExportingSourceSet, NativeDependencyCapableSourceSet, Named

  A representation of a unit of cpp source

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dependency(Map<?,?> dep)` Add a dependency to this source set
    `CppSourceSet` | `exportedHeaders(Closure closure)` The headers.
    `SourceDirectorySet` | `getExportedHeaders()` The headers.
    `DomainObjectSet<Library>` | `getLibs()` Libs this source set requires
    `SourceDirectorySet` | `getSource()` The source.
    `CppSourceSet` | `source(Closure closure)` The source.

    - ### Methods inherited from interface org.gradle.plugins.binaries.model.NativeDependencyCapableSourceSet

      `getNativeDependencySets`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getExportedHeaders

          SourceDirectorySet getExportedHeaders()

      The headers.
      Specified by:
        `getExportedHeaders` in interface `HeaderExportingSourceSet`

    - #### exportedHeaders

          CppSourceSet exportedHeaders(Closure closure)

      The headers.

    - #### getSource

          SourceDirectorySet getSource()

      The source.

    - #### source

          CppSourceSet source(Closure closure)

      The source.

    - #### getLibs

          DomainObjectSet<Library> getLibs()

      Libs this source set requires

    - #### dependency

          void dependency(Map<?,?> dep)

      Add a dependency to this source set